## vala-panel 24.05

=== meson_options.txt ===
option('drawing', type: 'boolean', value: true, description: 'Enables drawing plugins, like CPU Graph plot')
option('wnck', type: 'feature', value: 'auto', description: 'Enables wnck-related plugins, like taskbar and pager')
option('platforms', type: 'array', choices: ['x11','wayland','auto'], value: ['auto'], description: 'Platforms for vala-panel')

=== debian/changelog ===
vala-panel (24.05-3) unstable; urgency=medium

  * Re-upload to unstable as is. (Closes: #1103662).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2025 09:31:50 +0200

vala-panel (24.05-2) experimental; urgency=medium

  * Upload REJECTED 25.04-1 as is to experimental as we are already in soft
    freeze for Debian 13.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Apr 2025 16:26:49 +0200

vala-panel (24.05-1) REJECTED; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_LINGUAS-remove-a-duplicate-entry.patch. Not required anymore.
  * debian/watch:
    + Use new file syntax for GitLab watching.
  * debian/:
    + Add gir1.2-valapanel-24.03 bin:pkg.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libvalapanel0.symbols:
    + Update file.
  * debian/vala-panel-plugins-base.install:
    + Add new plugin 'flowtasks'.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 12:06:52 +0200

=== debian/control ===
Source: vala-panel
Section: x11
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
 Martin Wimpress <martin.wimpress@ubuntu.com>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: meson (>= 0.51.0),
               debhelper-compat (= 13),
               docbook-to-man,
               gobject-introspection,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtk-layer-shell-dev,
               libwnck-3-dev,
               valac,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/rilian-la-te/vala-panel
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/vala-panel

Package: vala-panel
Architecture: any
Depends: libvalapanel0 (= ${binary:Version}),
         vala-panel-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: vala-panel-plugins-base,
Suggests: vala-panel-plugins-wnck,
Description: Desktop panel written in Vala and GTK+ 3
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 Vala Panel can be extended with plugins that provide application menus,
 clock, tasklist, system tray, etc.

Package: vala-panel-common
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Vala Panel - common files
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package provides common files.

Package: libvalapanel0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: library for Vala Panel
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains the Vala Panel library.

Package: libvalapanel-dev
Section: libdevel
Architecture: any
Depends: libvalapanel0 (= ${binary:Version}),
         gir1.2-valapanel-24.03 (= ${binary:Version}),
         ${misc:Depends},
Provides: ${gir:Provides},
Description: library for Vala Panel - development files
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains header files for building plugins or window
 managers with vala-panel support.

Package: vala-panel-plugins-base
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: vala-panel (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plugins for vala-panel - non-X11 plugins
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains main plugins for vala-panel: clock, launchbar,
 applications menu and so on.

Package: vala-panel-plugins-wnck
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: vala-panel (= ${binary:Version}),
         libx11-6,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plugins for vala-panel - X11 plugins
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains X11 plugins for vala-panel: tasklist,
 system tray, and others.

Package: gir1.2-valapanel-24.03
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libvalapanel0
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

DHFLAGS=--buildsystem=meson
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ $(DHFLAGS) --with gir

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	rm debian/tmp/usr/share/vala-panel/doc/LICENSE
	rm debian/tmp/usr/share/vala-panel/doc/README.md
	rmdir debian/tmp/usr/share/vala-panel/doc/
	mkdir debian/tmp/usr/share/metainfo/
	mv debian/tmp/usr/share/appdata/*.xml debian/tmp/usr/share/metainfo/
	rmdir debian/tmp/usr/share/appdata/
	dh_install

override_dh_clean:
	rm -f $(CURDIR)/cmake/FallbackVersion.cmake
	dh_clean

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.com/vala-panel-project/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
